# Manual do &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Robert.Knight; &Robert.Knight.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
Marcus
Gama

    marcus.gama@gmail.com

Tradução
2000
2001
2002
&Jonathan.Singer;
2005
2008
2009
2010
2011
&Kurt.Hindenburg;
&FDLNotice;
05/02/2011
2.7.0

O &konsole; é o emulador de terminal para o &kde;.

KDE
konsole
kdebase
comando
linha
terminal
cli

## Introdução

### O que é um terminal?

O &konsole; é um emulador de terminais X, frequentemente referenciado como sendo um terminal ou console. Ele emula uma interface de linha de comando numa janela somente com texto.

A explicação da utilização da CLI do &UNIX; está fora do âmbito deste documento. Uma pesquisa na Web por esses termos irá fornecer mais informações.

### Histórico

O &konsole; usa a noção de histórico para permitir que o usuário visualize a saída exibida anteriormente pelo terminal. Por padrão, o histórico está ativo e configurado para salvar 1000 linhas de saída além do que é atualmente exibido no terminal. Conforme as linhas rolam para o topo da tela, elas podem ser revistas movendo a barra de rolagem para cima, rolando com a roda do mouse ou através do uso das teclas &Shift;Page Up (para mover para trás uma página), &Shift;Page Down (para mover para frente uma página), &Shift;Seta Acima (para mover acima uma linha) e &Shift;Seta Abaixo (para mover abaixo uma linha).

Quando o scrollock está ligado, a entrada e saída do console é suspensa, e você pode rolar pelo histórico com Page Up, Page Down, e Seta Acima e Seta Abaixo.

### Perfis

Os perfis permitem ao usuário automatizar rápida e facilmente a execução dos comandos comuns. Os exemplos poderão incluir:

- 'ssh' para outra máquina

- iniciar uma sessão de IRC

- usar o 'tail' para monitorar um arquivo

Estes são os procedimentos para criar um perfil novo:

1. Clique na entrada de menu Configurações Configurar perfis...

2. Clique no botão Novo Perfil....

3. Preenche a primeira entrada com um nome. Este é o nome que será exibido no menu, e será o rótulo padrão ao invés do Shell quando você inicia uma sessão deste tipo.

4. Insira um comando como você normalmente faria se abrisse um novo shell e digitasse este comando. Para nosso primeiro exemplo acima, você deve digitar ``ssh` administracao`.

5. Nas outras páginas da janela, configure a aparência desta sessão. Você poderá ter uma fonte diferente, um esquema de cores, o tipo $`TERM` e muitas outras configurações para cada sessão.

6. Pressione OK. A nova sessão fica então disponível na janela para Gerenciar Perfis....

Depois de criar os perfis, eles são apresentados pelo seu nome no menu Arquivo Nova aba, abaixo do item padrão da Linha de comando.

### Botões do Mouse

Esta seção detalha o uso dos botões do mouse para a ordem de botões comum para pessoas destras. Para canhotos a ordem dos botões é trocada no texto abaixo.

Esquerdo

  Todos os cliques com o &LMB; serão enviados para um aplicativos com suporte ao mouse rodando no &konsole;. Se um aplicativo reagir aos cliques de mouse, o &konsole; indicará isto mostrando um cursor de seta. Caso contrário, um cursor de barra (I) é mostrado.

  Mantendo o &LMB; pressionado e arrastando o mouse sobre a tela com um aplicativo não sensível ao mouse em execução marcará uma região do texto. Durante o arrasto, o texto marcado é exibido em modo reverso para um retorno visual. Selecione Copiar no menu Editar para copiar o texto marcado para a área de transferência para uso posterior dentro do &konsole; ou outro aplicativo. O texto selecionado pode também ser arrastado e solto em aplicativos compatíveis. Clique no texto selecionado e arraste-o para a localização desejada. Dependendo das suas configurações do &kde; você pode precisar manter a tecla &Ctrl; enquanto arrasta.

  Normalmente, caracteres de 'nova linha' são inseridos no final de cada linha selecionada. Isto é melhor para cortar e colar de código-fonte, ou a saída de um comando em particular. Para texto simples, as quebras de linha não são normalmente importantes. Você pode preferir, no entanto, que o texto seja um fluxo de caracteres que será automaticamente reformatado ao colar em um outro aplicativo. Para selecionar em modo de fluxo de texto, mantenha pressionado a tecla &Ctrl; enquanto seleciona normalmente.

  Pressionando as teclas &Ctrl; e &Alt; juntamente com o &LMB; selecionará uma coluna de texto.

  Clique-duplo com o &LMB; para selecionar uma palavra, clique-triplo para selecionar uma linha inteira.

  Se o canto superior ou inferior da área de texto for tocado enquanto está sendo marcado, o &konsole; rola acima ou abaixo, mostrando eventualmente texto do histórico de buffer. A rolagem para quando o mouse para o movimento.

  Após o mouse ser solto, o &konsole; tenta manter o texto na área de transferência visível mantendo a área marcada em modo reverso. A área marcada volta para o normal tão logo o conteúdo da área de transferência mude, o texto na área marcada seja alterado ou o &LMB; seja clicado.

  Para marcar texto em um aplicativo sensível ao mouse (Midnight Commander, por exemplo) a tecla &Shift; deve ser pressionada ao clicar.

Meio

  Pressionar o &MMB; cola o texto existente na área de transferência. Manter a tecla &Ctrl; pressionada enquanto pressiona o &MMB; cola o texto e envia-o para o &konsole;.

  Se você tiver um mouse com somente dois botões, pressionar os &LMB; e &RMB; juntos emula o &MMB; de um mouse de três botões.

  Se você tiver uma roda como botão do meio, rolar esta roda em um programa não sensível ao mouse moverá a barra de rolagem do &konsole;.

Direito

  Estes itens aparecem no menu quando carregar com o &RMB;: Copiar, Colar, Abrir gerenciador de arquivos, Definir a codificação, Limpar o histórico, Configurar o histórico..., Mostrar barra de menus, Mudar o perfil, Configurar o perfil atual... e Fechar página

  Em um aplicativo sensível ao mouse, pressione a tecla &Shift; com o &RMB; para obter o menu de contexto.

## Referência de comandos

### A Barra de Menu

A barra do menu encontra-se no topo da janela do &konsole;. Se ela estiver oculta, a opção Mostrar Menu poderá ser acessada clicando com o botão direito na janela (desde que não esteja rodando nenhum aplicativo nessa janela, como o 'vi', 'minicom', etc.). O atalho padrão aparece depois de cada item do menu.

#### Menu Arquivo

&Ctrl;&Shift;N Arquivo Nova Janela

  Abre uma nova janela do &konsole; com o perfil padrão

&Ctrl;&Shift;T Arquivo Nova Página

  Abre uma página nova com o perfil padrão

  O &konsole; vem com o perfil de Linha de Comando como padrão. Todos os perfis adicionados pelo usuário serão listados em um sub-menu.

&Ctrl;&Shift;W Arquivo Fechar Página

  Fecha a página atual

Arquivo Salvar o resultado como...

  Salva o histórico atual como um arquivo de texto ou HTML

Arquivo Abrir gerenciador de arquivos

  Abre o gerenciador de arquivos do &kde; na pasta atual. Por padrão, este é o &dolphin;.

&Ctrl;&Shift;Q Arquivo Sair

  Sai do &konsole;

  O &konsole; irá mostrar uma janela, caso exista mais de uma página aberta. Esta janela poderá ser desativada se assinalar a opção Não perguntar de novo.

#### Menu Editar

&Ctrl;&Shift;C Editar Copiar

  Copia o texto selecionado para a área de transferência

&Ctrl;&Shift;V Editar Colar

  Cola o texto da área de transferência na localização do cursor

Editar Copiar a Entrada Para Todas as Páginas da Janela Atual

  Permite que a inserção de dados da sessão atual seja enviada simultaneamente para todas as sessões da janela atual

&Ctrl;&Shift;. Editar Copiar a Entrada Para Selecionar as Páginas...

  Permite que a inserção de dados da sessão atual seja enviada simultaneamente para todas as sessões escolhidas pelo usuário

&Ctrl;&Shift;/ Editar Copiar a Entrada Para Nenhuma

  Para a inserção de todos os dados para as outras sessões

&Ctrl;&Alt;S Editar Renomear Página...

  Abre uma caixa de diálogo que permite mudar o nome da página atual (mais informações)

&Ctrl;&Alt;U Editar Enviar por ZModem...

  Abre uma janela para selecionar um arquivo a enviar, caso esteja instalada a aplicação necessária

&Ctrl;&Shift;F Editar Localizar...

  Abre uma barra de pesquisa no fundo da janela do &konsole;

  Isto permite pesquisas com distinção de maiúsculas, para a frente ou para trás, ou ainda por expressões regulares.

F3 Editar Localizar próxima

  Passa para a próxima instância de pesquisa

&Shift;F3 Editar Localizar anterior

  Passa para a instância de pesquisa anterior

#### Menu Ver

&Ctrl;( Exibir Dividir a exibição Dividir a exibição em esquerda/direita

  Divide todas as páginas em janelas esquerdas e direitas

  Todo o resultado de uma janela será duplicado na outra.

&Ctrl;( Exibir Dividir a exibição Dividir a exibição em superior/inferior

  Divide todas as páginas em janelas superiores e inferiores

  Todo o resultado de uma janela será duplicado na outra.

&Ctrl;&Shift;S Ver Dividir Janela Fechar Ativa

  Fecha a janela ativa

&Ctrl;&Shift;O Ver Dividir Janela Fechar as Outras

  Fecha a janela não-atual

&Ctrl;&Shift;] Ver Dividir Janela Expandir Janela

  Torna a janela atual maior

&Ctrl;&Shift;[ Exibir Dividir a exibição Reduzir visualização

  Torna a janela atual menor

&Ctrl;&Shift;H Exibir Desanexar aba

  Abre a página atual numa janela separada

  Sair da janela anterior do &konsole;, não irá afetar a janela recém criada.

&Ctrl;&Shift;I Ver Monitorar o Silêncio

  Ativa ou desativa o monitoramento da falta de atividade da página atual

  Por padrão, pós 10 segundos de inatividade, irá aparecer um ícone informativo na página da sessão. O tipo de alerta poderá ser configurado através da opção Configurações Configurar Notificações Silêncio na sessão vigiada.

&Ctrl;&Shift;A Ver Monitorar a Atividade

  Ativa ou desativa a vigilância de atividade da página atual

  Em caso de qualquer atividade, irá aparecer um ícone informativo na página da sessão. O tipo de alerta poderá ser alterado através da opção Configurações Configurar Notificações Atividade na sessão vigiada.

&Ctrl;+ Exibir Aumentar fonte

  Aumenta o tamanho do texto

&Ctrl;- Exibir Diminuir fonte

  Diminui o tamanho do texto

Ver Definir a codificação

  Altera a codificação de caracteres

Ver Limpar o histórico

  Limpa o texto no histórico

&Ctrl;&Shift;X Histórico Limpar histórico e reiniciar

  Limpa o texto na página atual e no histórico, reiniciando depois o terminal

#### O Menu Favoritos

&Ctrl;&Shift;B Favoritos Adicionar aos Favoritos

  Adiciona o local atual

Favoritos Marcar Páginas como uma Pasta de Favoritos...

  Adiciona todas as páginas como uma pasta de favoritos

  Irá abrir uma janela para inserir o nome da pasta de favoritos.

Favoritos Nova Pasta de Favoritos

  Adiciona uma nova pasta à lista de favoritos.

  Irá abrir uma janela para inserir o nome da pasta de favoritos.

Favoritos Editar Favoritos

  Abre o editor de favoritos

  Você poderá usar o editor de favoritos para adicionar manualmente URLs. Atualmente, o &konsole; suporta os seguintes formatos:

  - ssh://usuário@máquina:porta

  - telnet://usuário@máquina:porta

#### Menu Configurações

Configurações Configurar Perfis...

  Abre um editor para gerenciar os perfis

&Ctrl;&Shift;M Configurações Mostrar o Menu

  Ativa ou desativa a visibilidade do menu

Configurações Modo Tela Cheia

  Ativa ou desativa a ocupação de toda a tela pelo &konsole;

Configurações Configurar Atalhos...

  Abre o editor de atalhos do teclado

Configurações Configurar Notificações...

  Abre o editor de notificações

#### Menu Ajuda

&help.menu.documentation;

### Janela de Mudança de Nome da Página

O nome da página atual poderá ser alterado com esta janela. A janela poderá ser exibida através do menu, usando o atalho &Ctrl;&Alt; S ou fazendo um duplo-clique no separador da página, na barra de páginas. Estas alterações poderão se tornar permanentes ao editar o perfil atual.

O &konsole; irá substituir estes itens:

- %n : nome do programa

- %d : pasta atual (curta)

- %D : pasta atual (extensa)

- %w : título da janela definido pela linha de comando

- %# : número da sessão

- %u : nome do usuário

Exemplos:

- O `%d : %n`, com a '/usr/src' como pasta atual e executando o bash irá mostrar usr/s : bash

- O `%D : %n`, com a '/usr/src' como pasta atual e executando o top irá mostrar usr/src : top

- O `%w (%#)`, com a ~ como pasta atual e executando o vim na primeira página, irá mostrar [Sem Nome] (~) - VIM(1)

### Janela de Cópia da Entrada

O texto inserido em uma página poderá ser enviado simultaneamente para as outras páginas. Esta janela permite-lhe selecionar quais as páginas irão receber esses dados inseridos. A pasta atual irá ficar em cinza.

### Janela de Opções do Deslocamento

A opção de deslocamento para o tamanho do histórico poderá ser alterada nesta janela. Existe também uma opção para salvar essa configuração no perfil atual.

## Opções de Linha de Comando

Quando o &konsole; é iniciado a partir da linha de comando, várias opções podem ser especificadas para modificar seu comportamento.

`--help`

  Lista as diversas opções.

`--profile` `arquivo`

  Inicia o &konsole; usando o conjunto de sessões salvo.

`--list-profiles`

  Lista todos os perfis disponíveis.

`--background-mode`

  Inicia o &konsole; em segundo plano e passa para a frente quando a tecla F12 é pressionada.

`--new-tab`

  Cria uma página nova numa janela existente, em vez de criar uma janela nova.

`--tabs-from-file` `arquivo`

  Cria páginas a partir dos dados definidos no arquivo de configuração de páginas indicado.

  O arquivo possui uma página por linha, no seguinte formato:

  title: Este é o título;; command: execute-me

`--workdir` `pasta`

  Abre com `pasta` como pasta de trabalho (inicial).

`--notransparency`

  Desativa os fundos transparentes, mesmo se o sistema suportá-los.

`--force-transparency`

  Tenta ativar a transparência, mesmo que o sistema não pareça suportá-la.

`--hold, --noclose`

  Não fecha a sessão inicial automaticamente quando ela terminar.

`-p` `propriedade=valor`

  Muda o valor de uma propriedade do perfil.

`-e` `comando`

  Executa `comando` ao invés do shell normal.

  Qualquer argumento após `comando` será passado para o `comando`, não para o &konsole;.

O &konsole; também aceita opções genéricas do &Qt; e &kde;:

`--help-qt`

  Mostra as opções específicas do &Qt;

As seguintes opções do &Qt; não tem efeito no &konsole;:

`--fn`, `--font` `nomefonte`

  Define a fonte do aplicativo

`--bg`, `--background` `cor`

  Configura a cor de fundo padrão

`--fg`, `--foreground` `cor`

  Configura a cor de fonte padrão

`--btn`, `--button` `cor`

  Configura a cor de botão padrão

`--help-kde`

  Mostra as opções específicas do &kde;

`--help-all`

  Lista todas opções

`--author`

  Mostra o nome do autor

`-v,--version`

  Mostra o número de versão

`--license`

  Mostra informações de licença

## Programação no &konsole;

Para o &kde; 4, o antigo &DCOP; foi substituído pelo &DBus;. O &konsole; suporta diversos recursos que podem ser usados com o &DBus;.

Existem duas formas de usar a interface de &DBus;: a &GUI; do &Qt; qdbusviewer e o utilitário da linha de comando qdbus.

Exemplos:

- O &percnt; `qdbus` irá mostrar todos os serviços disponíveis.

- O &percnt; `qdbus` `org.kde.konsole` irá mostrar a interface de &DBus; para o &konsole;.

- O &percnt; `qdbus` `org.kde.konsole /Konsole` irá mostrar os métodos para controlar a janela principal do &konsole;.

- O &percnt; `qdbus` `org.kde.konsole /Sessions/1` irá mostrar os métodos da sessão 1.

Se você iniciar o &konsole; a partir de um terminal, poderá ter que alterar o `org.kde.konsole` para `org.kde.konsole-`pidof -s konsole``.

Para mais informações, vá por favor ao tutorial sobre &DBus;.

## Você sabia?, problemas comuns e mais

### Você sabia?

- Pressionar a tecla &Ctrl; ao selecionar um texto faz com que quebras de linha sejam convertidas para espaços ao colar.

- Pressionar as teclas &Ctrl;&Alt; ao selecionar o texto irá selecionar as colunas.

- Quando um programa avalia os botões do mouse, pressionar a tecla &Shift; permitirá que o menu de contexto apareça.

- O atalho &Ctrl;&Shift;F10 ativará o menu.

- As teclas &Shift;Insert inserem o conteúdo na área de transferência.

- Um duplo-clique selecionará uma palavra inteira. Continuar com o botão do mouse pressionado e mover o mouse estenderá a seleção.

- Um clique-triplo selecionará uma linha inteira. Continuar com o botão do mouse pressionado e mover o mouse estenderá a seleção.

### Problemas comuns

- Por padrão, ao iniciar a partir de um terminal, o &konsole; rodará em segundo plano. Use `--nofork` para forçar que o &konsole; rode em primeiro plano.

  Isto é necessário para que alguns scripts e comandos funcionem como o esperado:

  - `konsole --nofork -e sleep 3 ; echo 1`

  - `kdesu -u kdeuser konsole --nofork`

- No KDE3, cada aba tinha seu próprio ID de processo. No entanto, no KDE4 todas as abas usam o mesmo ID de processo. Isto tem um efeito colateral de que se o processo de uma aba tiver problemas, todas as outras abas podem experimentar o mesmo problema.

  Isto é particularmente percebido quando um comando que se conecta a um dispositivo externo ou sistema (ssh, nfs) apresenta problemas.

## Créditos e Direitos Autorais

O &konsole; é atualmente mantido por &Robert.Knight; &Robert.Knight.mail;

Os responsáveis anteriores pela manutenção do &konsole; incluem: &Kurt.Hindenburg; &Kurt.Hindenburg.mail; e &Waldo.Bastian; &Waldo.Bastian.mail;

O aplicativo &konsole; tem o 'copyright' © 1997-2008 de &Lars.Doelle; &Lars.Doelle.mail;

Este documento foi escrito por &Jonathan.Singer; &Jonathan.Singer.mail;

Este documento foi atualizado para o &kde; 3.4 por &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Este documento foi atualizado para o &kde; 4.1 por &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Convertido originalmente para DocBook SGML por &Mike.McBride; e &Lauri.Watts;

Tradução de Marcus Gamamarcus.gama@gmail.com

&underFDL; &underGPL;

## Hiperligações

Para mais informações, visite estas páginas Web:

- Site do &konsole; no UserBase do &kde;

- Página Web do &konsole;

- Lista de discussão do &konsole;

- &kde; em FreeBSD

- &kde; em &Solaris;

&documentation.index;